Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.jobcontrol
Class JobControlEvent

public class JobControlEvent

An event which indicates that a action occurred in JobControl. This event is used for listeners of JobControl.

See Also: JobControlListener, JobControl

Constructor Summary
`JobControlEvent(JobControl jobControl, String message)` Constructs JobControlEvent with specified jobControl and message
`JobControlEvent(JobControl jobControl)` Constructs JobControlEvent with specified jobControl
`JobControlEvent(String msg)` Constructs JobControlEvent with specified message

Method Summary
`JobControl` | `getJobControl()` Gets connected with this event JobControl
`String` | `getMessage()` Gets message corresponded with this event
`int` | `getPreparedness()` Returns preparedness of job
`int` | `getStatus()` Gets status of job corresponded with this event

Constructor Detail

### JobControlEvent

    public JobControlEvent(JobControl jobControl, String message)

  Constructs JobControlEvent with specified jobControl and message
  Parameters:
    jobControl - specified jobControl
    message - specified message

### JobControlEvent

    public JobControlEvent(JobControl jobControl)

  Constructs JobControlEvent with specified jobControl
  Parameters:
    jobControl - specified jobControl

### JobControlEvent

    public JobControlEvent(String msg)

  Constructs JobControlEvent with specified message
  Parameters:
    msg - specified message

Method Detail

### getJobControl

    public JobControl getJobControl()

  Gets connected with this event JobControl
  Returns: connected with this event JobControl

### getMessage

    public String getMessage()

  Gets message corresponded with this event
  Returns: message corresponded with this event

### getPreparedness

    public int getPreparedness()

  Returns preparedness of job
  Returns: percent of preparedness

### getStatus

    public int getStatus()

  Gets status of job corresponded with this event
  Returns: status of job corresponded with this event

Association Links

to Class com.developmentontheedge.jobcontrol.JobControl

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM